package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "class_faq")
public class ClassFaq implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 课程id
     */
    @Column(name = "`course_id`")
    private Integer courseId;

    /**
     * 是否精选：0不是精选，1是精选
     */
    @Column(name = "`is_special`")
    private Integer isSpecial;

    /**
     * 问答状态：0未回答，1回答，忽略
     */
    @Column(name = "`status`")
    private Integer status;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取课程id
     *
     * @return course_id - 课程id
     */
    public Integer getCourseId() {
        return courseId;
    }

    /**
     * 设置课程id
     *
     * @param courseId 课程id
     */
    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    /**
     * 获取是否精选：0不是精选，1是精选
     *
     * @return is_special - 是否精选：0不是精选，1是精选
     */
    public Integer getIsSpecial() {
        return isSpecial;
    }

    /**
     * 设置是否精选：0不是精选，1是精选
     *
     * @param isSpecial 是否精选：0不是精选，1是精选
     */
    public void setIsSpecial(Integer isSpecial) {
        this.isSpecial = isSpecial;
    }

    /**
     * 获取问答状态：0未回答，1回答，忽略
     *
     * @return status - 问答状态：0未回答，1回答，忽略
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置问答状态：0未回答，1回答，忽略
     *
     * @param status 问答状态：0未回答，1回答，忽略
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", courseId=").append(courseId);
        sb.append(", isSpecial=").append(isSpecial);
        sb.append(", status=").append(status);
        sb.append("]");
        return sb.toString();
    }

    public static ClassFaq.Builder builder() {
        return new ClassFaq.Builder();
    }

    public static class Builder {
        private ClassFaq obj;

        public Builder() {
            this.obj = new ClassFaq();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置课程id
         *
         * @param courseId 课程id
         */
        public Builder courseId(Integer courseId) {
            obj.setCourseId(courseId);
            return this;
        }

        /**
         * 设置是否精选：0不是精选，1是精选
         *
         * @param isSpecial 是否精选：0不是精选，1是精选
         */
        public Builder isSpecial(Integer isSpecial) {
            obj.setIsSpecial(isSpecial);
            return this;
        }

        /**
         * 设置问答状态：0未回答，1回答，忽略
         *
         * @param status 问答状态：0未回答，1回答，忽略
         */
        public Builder status(Integer status) {
            obj.setStatus(status);
            return this;
        }

        public ClassFaq build() {
            return this.obj;
        }
    }
}