package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import javax.persistence.*;

@Table(name = "exercise_paper")
public class ExercisePaper implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 题型
     */
    @Column(name = "`question_type`")
    private String questionType;

    /**
     * 组卷名称
     */
    @Column(name = "`title`")
    private String title;

    /**
     * 组卷序号
     */
    @Column(name = "`no`")
    private Integer no;

    /**
     * 组卷逻辑：order ，place，difficult，error
     */
    @Column(name = "`logic`")
    private String logic;

    /**
     * 逻辑
     */
    @Column(name = "`logic_extend`")
    private String logicExtend;

    /**
     * 教材
     */
    @Column(name = "`struct_three`")
    private Integer structThree;

    /**
     * 分册
     */
    @Column(name = "`struct_four`")
    private Integer structFour;

    /**
     * 题目数量
     */
    @Column(name = "`question_number`")
    private Integer questionNumber;

    /**
     * 题目编号ids：json
     */
    @Column(name = "`question_no_ids`")
    private Integer[] questionNoIds;

    /**
     * 开放状态：0关闭，1开启
     */
    @Column(name = "`status`")
    private Integer status;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取题型
     *
     * @return question_type - 题型
     */
    public String getQuestionType() {
        return questionType;
    }

    /**
     * 设置题型
     *
     * @param questionType 题型
     */
    public void setQuestionType(String questionType) {
        this.questionType = questionType;
    }

    /**
     * 获取组卷名称
     *
     * @return title - 组卷名称
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置组卷名称
     *
     * @param title 组卷名称
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取组卷序号
     *
     * @return no - 组卷序号
     */
    public Integer getNo() {
        return no;
    }

    /**
     * 设置组卷序号
     *
     * @param no 组卷序号
     */
    public void setNo(Integer no) {
        this.no = no;
    }

    /**
     * 获取组卷逻辑：order ，place，difficult，error
     *
     * @return logic - 组卷逻辑：order ，place，difficult，error
     */
    public String getLogic() {
        return logic;
    }

    /**
     * 设置组卷逻辑：order ，place，difficult，error
     *
     * @param logic 组卷逻辑：order ，place，difficult，error
     */
    public void setLogic(String logic) {
        this.logic = logic;
    }

    /**
     * 获取逻辑
     *
     * @return logic_extend - 逻辑
     */
    public String getLogicExtend() {
        return logicExtend;
    }

    /**
     * 设置逻辑
     *
     * @param logicExtend 逻辑
     */
    public void setLogicExtend(String logicExtend) {
        this.logicExtend = logicExtend;
    }

    /**
     * 获取教材
     *
     * @return struct_three - 教材
     */
    public Integer getStructThree() {
        return structThree;
    }

    /**
     * 设置教材
     *
     * @param structThree 教材
     */
    public void setStructThree(Integer structThree) {
        this.structThree = structThree;
    }

    /**
     * 获取分册
     *
     * @return struct_four - 分册
     */
    public Integer getStructFour() {
        return structFour;
    }

    /**
     * 设置分册
     *
     * @param structFour 分册
     */
    public void setStructFour(Integer structFour) {
        this.structFour = structFour;
    }

    /**
     * 获取题目数量
     *
     * @return question_number - 题目数量
     */
    public Integer getQuestionNumber() {
        return questionNumber;
    }

    /**
     * 设置题目数量
     *
     * @param questionNumber 题目数量
     */
    public void setQuestionNumber(Integer questionNumber) {
        this.questionNumber = questionNumber;
    }

    /**
     * 获取题目编号ids：json
     *
     * @return question_no_ids - 题目编号ids：json
     */
    public Integer[] getQuestionNoIds() {
        return questionNoIds;
    }

    /**
     * 设置题目编号ids：json
     *
     * @param questionNoIds 题目编号ids：json
     */
    public void setQuestionNoIds(Integer[] questionNoIds) {
        this.questionNoIds = questionNoIds;
    }

    /**
     * 获取开放状态：0关闭，1开启
     *
     * @return status - 开放状态：0关闭，1开启
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置开放状态：0关闭，1开启
     *
     * @param status 开放状态：0关闭，1开启
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", questionType=").append(questionType);
        sb.append(", title=").append(title);
        sb.append(", no=").append(no);
        sb.append(", logic=").append(logic);
        sb.append(", logicExtend=").append(logicExtend);
        sb.append(", structThree=").append(structThree);
        sb.append(", structFour=").append(structFour);
        sb.append(", questionNumber=").append(questionNumber);
        sb.append(", questionNoIds=").append(questionNoIds);
        sb.append(", status=").append(status);
        sb.append("]");
        return sb.toString();
    }

    public static ExercisePaper.Builder builder() {
        return new ExercisePaper.Builder();
    }

    public static class Builder {
        private ExercisePaper obj;

        public Builder() {
            this.obj = new ExercisePaper();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置题型
         *
         * @param questionType 题型
         */
        public Builder questionType(String questionType) {
            obj.setQuestionType(questionType);
            return this;
        }

        /**
         * 设置组卷名称
         *
         * @param title 组卷名称
         */
        public Builder title(String title) {
            obj.setTitle(title);
            return this;
        }

        /**
         * 设置组卷序号
         *
         * @param no 组卷序号
         */
        public Builder no(Integer no) {
            obj.setNo(no);
            return this;
        }

        /**
         * 设置组卷逻辑：order ，place，difficult，error
         *
         * @param logic 组卷逻辑：order ，place，difficult，error
         */
        public Builder logic(String logic) {
            obj.setLogic(logic);
            return this;
        }

        /**
         * 设置逻辑
         *
         * @param logicExtend 逻辑
         */
        public Builder logicExtend(String logicExtend) {
            obj.setLogicExtend(logicExtend);
            return this;
        }

        /**
         * 设置教材
         *
         * @param structThree 教材
         */
        public Builder structThree(Integer structThree) {
            obj.setStructThree(structThree);
            return this;
        }

        /**
         * 设置分册
         *
         * @param structFour 分册
         */
        public Builder structFour(Integer structFour) {
            obj.setStructFour(structFour);
            return this;
        }

        /**
         * 设置题目数量
         *
         * @param questionNumber 题目数量
         */
        public Builder questionNumber(Integer questionNumber) {
            obj.setQuestionNumber(questionNumber);
            return this;
        }

        /**
         * 设置题目编号ids：json
         *
         * @param questionNoIds 题目编号ids：json
         */
        public Builder questionNoIds(Integer[] questionNoIds) {
            obj.setQuestionNoIds(questionNoIds);
            return this;
        }

        /**
         * 设置开放状态：0关闭，1开启
         *
         * @param status 开放状态：0关闭，1开启
         */
        public Builder status(Integer status) {
            obj.setStatus(status);
            return this;
        }

        public ExercisePaper build() {
            return this.obj;
        }
    }
}