package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "sentence_paper")
public class SentencePaper implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 标题
     */
    @Column(name = "`title`")
    private String title;

    /**
     * 组卷序号
     */
    @Column(name = "`no`")
    private Integer no;

    /**
     * 组卷逻辑：no，trail
     */
    @Column(name = "`logic`")
    private String logic;

    /**
     * 题目数量
     */
    @Column(name = "`question_number`")
    private Integer questionNumber;

    /**
     * 题目编号ids：json
     */
    @Column(name = "`question_no_ids`")
    private Integer[] questionNoIds;

    /**
     * 开放状态：0关闭，1开启
     */
    @Column(name = "`status`")
    private Integer status;

    @Column(name = "`create_time`")
    private Date createTime;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取标题
     *
     * @return title - 标题
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置标题
     *
     * @param title 标题
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取组卷序号
     *
     * @return no - 组卷序号
     */
    public Integer getNo() {
        return no;
    }

    /**
     * 设置组卷序号
     *
     * @param no 组卷序号
     */
    public void setNo(Integer no) {
        this.no = no;
    }

    /**
     * 获取组卷逻辑：no，trail
     *
     * @return logic - 组卷逻辑：no，trail
     */
    public String getLogic() {
        return logic;
    }

    /**
     * 设置组卷逻辑：no，trail
     *
     * @param logic 组卷逻辑：no，trail
     */
    public void setLogic(String logic) {
        this.logic = logic;
    }

    /**
     * 获取题目数量
     *
     * @return question_number - 题目数量
     */
    public Integer getQuestionNumber() {
        return questionNumber;
    }

    /**
     * 设置题目数量
     *
     * @param questionNumber 题目数量
     */
    public void setQuestionNumber(Integer questionNumber) {
        this.questionNumber = questionNumber;
    }

    /**
     * 获取题目编号ids：json
     *
     * @return question_no_ids - 题目编号ids：json
     */
    public Integer[] getQuestionNoIds() {
        return questionNoIds;
    }

    /**
     * 设置题目编号ids：json
     *
     * @param questionNoIds 题目编号ids：json
     */
    public void setQuestionNoIds(Integer[] questionNoIds) {
        this.questionNoIds = questionNoIds;
    }

    /**
     * 获取开放状态：0关闭，1开启
     *
     * @return status - 开放状态：0关闭，1开启
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置开放状态：0关闭，1开启
     *
     * @param status 开放状态：0关闭，1开启
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * @return create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", title=").append(title);
        sb.append(", no=").append(no);
        sb.append(", logic=").append(logic);
        sb.append(", questionNumber=").append(questionNumber);
        sb.append(", questionNoIds=").append(questionNoIds);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }

    public static SentencePaper.Builder builder() {
        return new SentencePaper.Builder();
    }

    public static class Builder {
        private SentencePaper obj;

        public Builder() {
            this.obj = new SentencePaper();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置标题
         *
         * @param title 标题
         */
        public Builder title(String title) {
            obj.setTitle(title);
            return this;
        }

        /**
         * 设置组卷序号
         *
         * @param no 组卷序号
         */
        public Builder no(Integer no) {
            obj.setNo(no);
            return this;
        }

        /**
         * 设置组卷逻辑：no，trail
         *
         * @param logic 组卷逻辑：no，trail
         */
        public Builder logic(String logic) {
            obj.setLogic(logic);
            return this;
        }

        /**
         * 设置题目数量
         *
         * @param questionNumber 题目数量
         */
        public Builder questionNumber(Integer questionNumber) {
            obj.setQuestionNumber(questionNumber);
            return this;
        }

        /**
         * 设置题目编号ids：json
         *
         * @param questionNoIds 题目编号ids：json
         */
        public Builder questionNoIds(Integer[] questionNoIds) {
            obj.setQuestionNoIds(questionNoIds);
            return this;
        }

        /**
         * 设置开放状态：0关闭，1开启
         *
         * @param status 开放状态：0关闭，1开启
         */
        public Builder status(Integer status) {
            obj.setStatus(status);
            return this;
        }

        /**
         * @param createTime
         */
        public Builder createTime(Date createTime) {
            obj.setCreateTime(createTime);
            return this;
        }

        public SentencePaper build() {
            return this.obj;
        }
    }
}