package com.qxgmat.data.dao.entity;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.*;

@Table(name = "user_feedback_error")
public class UserFeedbackError implements Serializable {
    @Id
    @Column(name = "`id`")
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Integer id;

    /**
     * 用户id
     */
    @Column(name = "`user_id`")
    private Integer userId;

    /**
     * 模块：题目模块
     */
    @Column(name = "`module`")
    private String module;

    /**
     * 对应模块id
     */
    @Column(name = "`module_id`")
    private Integer moduleId;

    /**
     * 处理人id
     */
    @Column(name = "`manager_id`")
    private Integer managerId;

    /**
     * 内容名称
     */
    @Column(name = "`title`")
    private String title;

    /**
     * 错误位置，逗号链接的字符串，服务端不解析
     */
    @Column(name = "`position`")
    private String position;

    @Column(name = "`create_time`")
    private Date createTime;

    /**
     * 处理状态：0未处理，1已处理，2已忽略
     */
    @Column(name = "`status`")
    private Integer status;

    /**
     * 处理时间
     */
    @Column(name = "`handle_time`")
    private Date handleTime;

    /**
     * 错误内容
     */
    @Column(name = "`origin_content`")
    private String originContent;

    /**
     * 正确内容
     */
    @Column(name = "`content`")
    private String content;

    private static final long serialVersionUID = 1L;

    /**
     * @return id
     */
    public Integer getId() {
        return id;
    }

    /**
     * @param id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取用户id
     *
     * @return user_id - 用户id
     */
    public Integer getUserId() {
        return userId;
    }

    /**
     * 设置用户id
     *
     * @param userId 用户id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取模块：题目模块
     *
     * @return module - 模块：题目模块
     */
    public String getModule() {
        return module;
    }

    /**
     * 设置模块：题目模块
     *
     * @param module 模块：题目模块
     */
    public void setModule(String module) {
        this.module = module;
    }

    /**
     * 获取对应模块id
     *
     * @return module_id - 对应模块id
     */
    public Integer getModuleId() {
        return moduleId;
    }

    /**
     * 设置对应模块id
     *
     * @param moduleId 对应模块id
     */
    public void setModuleId(Integer moduleId) {
        this.moduleId = moduleId;
    }

    /**
     * 获取处理人id
     *
     * @return manager_id - 处理人id
     */
    public Integer getManagerId() {
        return managerId;
    }

    /**
     * 设置处理人id
     *
     * @param managerId 处理人id
     */
    public void setManagerId(Integer managerId) {
        this.managerId = managerId;
    }

    /**
     * 获取内容名称
     *
     * @return title - 内容名称
     */
    public String getTitle() {
        return title;
    }

    /**
     * 设置内容名称
     *
     * @param title 内容名称
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * 获取错误位置，逗号链接的字符串，服务端不解析
     *
     * @return position - 错误位置，逗号链接的字符串，服务端不解析
     */
    public String getPosition() {
        return position;
    }

    /**
     * 设置错误位置，逗号链接的字符串，服务端不解析
     *
     * @param position 错误位置，逗号链接的字符串，服务端不解析
     */
    public void setPosition(String position) {
        this.position = position;
    }

    /**
     * @return create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取处理状态：0未处理，1已处理，2已忽略
     *
     * @return status - 处理状态：0未处理，1已处理，2已忽略
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置处理状态：0未处理，1已处理，2已忽略
     *
     * @param status 处理状态：0未处理，1已处理，2已忽略
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 获取处理时间
     *
     * @return handle_time - 处理时间
     */
    public Date getHandleTime() {
        return handleTime;
    }

    /**
     * 设置处理时间
     *
     * @param handleTime 处理时间
     */
    public void setHandleTime(Date handleTime) {
        this.handleTime = handleTime;
    }

    /**
     * 获取错误内容
     *
     * @return origin_content - 错误内容
     */
    public String getOriginContent() {
        return originContent;
    }

    /**
     * 设置错误内容
     *
     * @param originContent 错误内容
     */
    public void setOriginContent(String originContent) {
        this.originContent = originContent;
    }

    /**
     * 获取正确内容
     *
     * @return content - 正确内容
     */
    public String getContent() {
        return content;
    }

    /**
     * 设置正确内容
     *
     * @param content 正确内容
     */
    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", userId=").append(userId);
        sb.append(", module=").append(module);
        sb.append(", moduleId=").append(moduleId);
        sb.append(", managerId=").append(managerId);
        sb.append(", title=").append(title);
        sb.append(", position=").append(position);
        sb.append(", createTime=").append(createTime);
        sb.append(", status=").append(status);
        sb.append(", handleTime=").append(handleTime);
        sb.append(", originContent=").append(originContent);
        sb.append(", content=").append(content);
        sb.append("]");
        return sb.toString();
    }

    public static UserFeedbackError.Builder builder() {
        return new UserFeedbackError.Builder();
    }

    public static class Builder {
        private UserFeedbackError obj;

        public Builder() {
            this.obj = new UserFeedbackError();
        }

        /**
         * @param id
         */
        public Builder id(Integer id) {
            obj.setId(id);
            return this;
        }

        /**
         * 设置用户id
         *
         * @param userId 用户id
         */
        public Builder userId(Integer userId) {
            obj.setUserId(userId);
            return this;
        }

        /**
         * 设置模块：题目模块
         *
         * @param module 模块：题目模块
         */
        public Builder module(String module) {
            obj.setModule(module);
            return this;
        }

        /**
         * 设置对应模块id
         *
         * @param moduleId 对应模块id
         */
        public Builder moduleId(Integer moduleId) {
            obj.setModuleId(moduleId);
            return this;
        }

        /**
         * 设置处理人id
         *
         * @param managerId 处理人id
         */
        public Builder managerId(Integer managerId) {
            obj.setManagerId(managerId);
            return this;
        }

        /**
         * 设置内容名称
         *
         * @param title 内容名称
         */
        public Builder title(String title) {
            obj.setTitle(title);
            return this;
        }

        /**
         * 设置错误位置，逗号链接的字符串，服务端不解析
         *
         * @param position 错误位置，逗号链接的字符串，服务端不解析
         */
        public Builder position(String position) {
            obj.setPosition(position);
            return this;
        }

        /**
         * @param createTime
         */
        public Builder createTime(Date createTime) {
            obj.setCreateTime(createTime);
            return this;
        }

        /**
         * 设置处理状态：0未处理，1已处理，2已忽略
         *
         * @param status 处理状态：0未处理，1已处理，2已忽略
         */
        public Builder status(Integer status) {
            obj.setStatus(status);
            return this;
        }

        /**
         * 设置处理时间
         *
         * @param handleTime 处理时间
         */
        public Builder handleTime(Date handleTime) {
            obj.setHandleTime(handleTime);
            return this;
        }

        /**
         * 设置错误内容
         *
         * @param originContent 错误内容
         */
        public Builder originContent(String originContent) {
            obj.setOriginContent(originContent);
            return this;
        }

        /**
         * 设置正确内容
         *
         * @param content 正确内容
         */
        public Builder content(String content) {
            obj.setContent(content);
            return this;
        }

        public UserFeedbackError build() {
            return this.obj;
        }
    }
}